Subject: bug#1169: 23.0.60; (substitute-command-keys "\\{...}") adds extra newline

From: Chong Yidong <[email-masked]>
Date: Thu, 31 May 2012 00:40:57 +0800

"Drew Adams" <[email-masked]> writes:

> Huh?  Two newlines is the wrong thing.  It is the point of this bug
> report.
>
> If some other fix is needed than the one that you made, fine.  Just
> DTRT.  Sounds like `help-make-xrefs' needs to be fixed - dunno.

Two newlines does not seem obviously wrong to me.  It is a way of
denoting the end of the key summary, just like the "key" and "binding"
column headers that are also inserted to denote the start.  We could
probably do something fancy like using a text property to mark the
extent of the key summary, but that seems like overengineering, and
anyway it might break third-party code that relies on the old behavior.

Feel free to submit a patch for consideration, if you care a lot about
replacing those two newlines, though.